Bug 114070 - Do not display the full path of the image bullet filename in the tooltip
Summary: Do not display the full path of the image bullet filename in the tooltip
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: lowest trivial
Assignee: Andreas Heinisch
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords:
Depends on:
Blocks: Bullet-Numbering-Dialog Tooltip
  Show dependency treegraph
 
Reported: 2017-11-26 17:28 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-07-07 20:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-11-26 17:28:21 UTC
steps:
1. open writer
2. format > bullet & numbering
3. select image tab
4. look at tooltip of any of the presets

So it should trim out the folder path as well as the file extension, similar to how it shows in the gallery.

Version: 6.1.0.0.alpha0+
Build ID: 2618e4a13d719122e6358d9d96864d1691e56a02
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 1 Buovjaga 2017-11-26 19:19:45 UTC
Yep.

Arch Linux 64-bit
Version: 6.0.0.0.alpha1+
Build ID: 008673c23db0c812eb0b48a1c29ab88b48aaa867
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on November 23rd 2017
Comment 2 QA Administrators 2018-11-27 03:43:12 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2020-09-30 18:20:01 UTC
Still shown

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: 09c24681a3414092fde50ec0f617c9f7c79e8a61
CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 30 September 2020
Comment 4 Commit Notification 2021-07-02 12:53:49 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/226f7e2ab96fce33a2705ad91ef0d539a6bad7b3

tdf#114070 - Only show the last name of the filename without its extension

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-07-07 20:02:02 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/ec29cffe003f987a4d329b9467efb30bde39c66b

tdf#114070 - Only show the last name of the filename without its extension

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.